# CSINegotiator class

A Stub negotiator that is just for "intercepting" the stream feature.

Inheritance
  - Object
  - XmppFeatureNegotiatorBase
  - CSINegotiator
Implemented types
  - Bind2FeatureNegotiatorInterface

## Constructors

CSINegotiator ()

## Properties

attributes → NegotiatorAttributes
  no setterinherited
hashCode → int
  The hash code for this object.
  no setterinherited
id → String
  The Id of the negotiator
  finalinherited
isSupported → bool
  no setter
negotiatingXmlns → String
  The XMLNS the negotiator will negotiate
  finalinherited
priority → int
  The priority regarding other negotiators. The higher, the earlier will the negotiator be used
  finalinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
sendStreamHeaderWhenDone → bool
  If true, then a new stream header will be sent when the negotiator switches its state to done. If false, no stream header will be sent.
  finalinherited
state ↔ NegotiatorState
  The state the negotiator is currently in
  getter/setter pairinherited

## Methods

matchesFeature (List <XMLNode> features) → bool
  Returns true if a feature in `features`, which are the children of the <stream:features /> nonza, can be negotiated. Otherwise, returns false.
  inherited
negotiate (XMLNode nonza) → Future <Result<NegotiatorState, NegotiatorError>>
  Called with the currently received nonza `nonza` when the negotiator is active. If the negotiator is just elected to be the next one, then `nonza` is equal to the <stream:features /> nonza.
  override
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
onBind2FeaturesReceived (List <String> bind2Features) → Future <List <XMLNode>>
  Called by the Bind2 negotiator when Bind2 features are received. The returned XMLNodes are added to Bind2's bind request.
  override
onBind2Success (XMLNode response) → Future <void>
  Called by the Bind2 negotiator when Bind2 results are received.
  override
onXmppEvent (XmppEvent event) → Future <void>
  Called when an event is triggered in the XmppConnection.
  inherited
postRegisterCallback () → Future <void>
  Run after all negotiators are registered. Useful for registering callbacks against other negotiators. By default this function does nothing.
  override
register (NegotiatorAttributes attributes) → void
  Register the negotiator against a connection class by means of `attributes`.
  inherited
reset () → void
  Reset the negotiator to a state that negotation can happen again.
  override
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited